Subject: [bfcpbis] BFCP over DTLS

From: Woo Johnman <[email-masked]>
Date: Wed, 30 May 2012 17:35:03 +0800

Hi,
   I feel BFCP over DTLS is not well documented in rfc4582bis.
  At section 7 "Lower-Layer Security".
It says "BFCP floor control servers
   and clients MUST support TLS for transport over TCP and MUST support DTLS for
   transport over UDP [4]." But reference [4] is only about  BFCP over TLS.
Reference for BFCP over DTLS seems missing.
At the end of the same section,it seems say DTLS connection setup
procedure shall
follow [7].  If it is true, does it mean BFCP message is packeted as
SRTP? If not, would it be better to
give more details about DTLS connection setup and packetization.

  Please give more explain.

Thanks in advance,

Youngmin

---

From: Alan Ford <[email-masked]>
Date: Wed, 30 May 2012 12:53:48 +0100

Hi,

Yes, there should indeed be a reference to RFC6347 for DTLS in Section 7.

The line referencing [7] says:

   For a UDP/ DTLS connection established using the same exchange,
   either party can be the DTLS server depending on the setup attributes
   exchanged, as defined in [7].

This is referring to the use of the DTLS setup attributes (a=setup) in the
SDP, which is discussed in [7] (Section 7.1). It definitely does not suggest
the use of SRTP. I guess it could be a bit clearer in the text; the updates
in 4572bis also touch on this.

Regards,
Alan

On 30/05/2012 10:35, "Woo Johnman" <[email-masked]> wrote:

> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis